الروابط
GET https://vc.tapit.net.tr/api/links/
curl --request GET \
--url 'https://vc.tapit.net.tr/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vc.tapit.net.tr/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| page | اختياري عدد صحيح | رقم الصفحة التي ترغب في النتائج منها. الافتراضي 1. |
| results_per_page | اختياري عدد صحيح | عدد النتائج التي ترغب فيها لكل صفحة. القيم المسموح بها هي: 10 , 25 , 50 , 100 , 250 , 500 , 1000. الافتراضي 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-02 10:30:55"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://vc.tapit.net.tr/api/links?&page=1",
"last": "https://vc.tapit.net.tr/api/links?&page=1",
"next": null,
"prev": null,
"self": "https://vc.tapit.net.tr/api/links?&page=1"
}
}
GET https://vc.tapit.net.tr/api/links/{link_id}
curl --request GET \
--url 'https://vc.tapit.net.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vc.tapit.net.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-06-02 10:30:55"
}
}
POST https://vc.tapit.net.tr/api/links
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| type | اختياري نص | link |
| location_url | مطلوب نص | عنوان URL الوجهة.متوفر عند: is_bulk = 0 |
| location_urls | مطلوب نص | عنوان URL الوجهة.متوفر عند: is_bulk = 1 |
| url | اختياري نص | اسم الرابط الذي تم إنشاؤه. اتركه فارغًا للحصول على واحد تم إنشاؤه عشوائيًا.متوفر عند: is_bulk = 0 |
| is_bulk | اختياري منطقي | |
| domain_id | اختياري عدد صحيح | - |
| project_id | اختياري عدد صحيح | - |
| pixels_ids | اختياري مصفوفة عدد صحيح | - |
| email_reports | اختياري مصفوفة | Notification handler ids |
| schedule | اختياري منطقي | - |
| start_date | اختياري نص | متوفر عند: schedule = true |
| end_date | اختياري نص | متوفر عند: schedule = true |
| clicks_limit | اختياري عدد صحيح | - |
| expiration_url | اختياري نص | - |
| sensitive_content | اختياري منطقي | - |
| http_status_code | اختياري عدد صحيح | القيم المسموح بها: 301, 302, 307, 308 |
| app_linking_is_enabled | اختياري منطقي | - |
| cloaking_is_enabled | اختياري منطقي | - |
| cloaking_title | اختياري نص | - |
| cloaking_meta_description | اختياري نص | - |
| cloaking_custom_js | اختياري نص | - |
| cloaking_favicon | اختياري ملف | - |
| cloaking_opengraph | اختياري ملف | - |
| password | اختياري نص | - |
| forward_query_parameters_is_enabled | اختياري منطقي | - |
| utm_source | اختياري نص | - |
| utm_medium | اختياري نص | - |
| utm_campaign | اختياري نص | - |
| targeting_type | اختياري نص | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | اختياري نص | متوفر عند: targeting_type = continent_code |
| targeting_continent_code_value[index] | اختياري نص | متوفر عند: targeting_type = continent_code |
| targeting_country_code_key[index] | اختياري نص | متوفر عند: targeting_type = country_code |
| targeting_country_code_value[index] | اختياري نص | متوفر عند: targeting_type = country_code |
| targeting_city_name_key[index] | اختياري نص | متوفر عند: targeting_type = city_name |
| targeting_city_name_value[index] | اختياري نص | متوفر عند: targeting_type = city_name |
| targeting_device_type_key[index] | اختياري نص | متوفر عند: targeting_type = device_type |
| targeting_device_type_value[index] | اختياري نص | متوفر عند: targeting_type = device_type |
| targeting_browser_language_key[index] | اختياري نص | متوفر عند: targeting_type = browser_language |
| targeting_browser_language_value[index] | اختياري نص | متوفر عند: targeting_type = browser_language |
| targeting_rotation_key[index] | اختياري نص | متوفر عند: targeting_type = rotation |
| targeting_rotation_value[index] | اختياري نص | متوفر عند: targeting_type = rotation |
| targeting_os_name_key[index] | اختياري نص | متوفر عند: targeting_type = os_name |
| targeting_os_name_value[index] | اختياري نص | متوفر عند: targeting_type = os_name |
| targeting_browser_name_key[index] | اختياري نص | متوفر عند: targeting_type = browser_name |
| targeting_browser_name_value[index] | اختياري نص | متوفر عند: targeting_type = browser_name |
curl --request POST \
--url 'https://vc.tapit.net.tr/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://vc.tapit.net.tr/' \
--url 'https://vc.tapit.net.tr/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://vc.tapit.net.tr/' \
{
"data": {
"id": 1
}
}
POST https://vc.tapit.net.tr/api/links/{link_id}
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| location_url | اختياري نص | عنوان URL الوجهة. |
| url | اختياري نص | اسم الرابط الذي تم إنشاؤه. اتركه فارغًا للحصول على واحد تم إنشاؤه عشوائيًا. |
| domain_id | اختياري عدد صحيح | - |
| project_id | اختياري عدد صحيح | - |
| pixels_ids | اختياري مصفوفة عدد صحيح | - |
| email_reports | اختياري مصفوفة | Notification handler ids |
| schedule | اختياري منطقي | - |
| start_date | اختياري نص | متوفر عند: schedule = true |
| end_date | اختياري نص | متوفر عند: schedule = true |
| clicks_limit | اختياري عدد صحيح | - |
| expiration_url | اختياري نص | - |
| sensitive_content | اختياري منطقي | - |
| http_status_code | اختياري عدد صحيح | القيم المسموح بها: 301, 302, 307, 308 |
| app_linking_is_enabled | اختياري منطقي | - |
| cloaking_is_enabled | اختياري منطقي | - |
| cloaking_title | اختياري نص | - |
| cloaking_meta_description | اختياري نص | - |
| cloaking_custom_js | اختياري نص | - |
| cloaking_favicon | اختياري ملف | - |
| cloaking_opengraph | اختياري ملف | - |
| password | اختياري نص | - |
| forward_query_parameters_is_enabled | اختياري منطقي | - |
| utm_source | اختياري نص | - |
| utm_medium | اختياري نص | - |
| utm_campaign | اختياري نص | - |
| targeting_type | اختياري نص | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | اختياري نص | متوفر عند: targeting_type = continent_code |
| targeting_continent_code_value[index] | اختياري نص | متوفر عند: targeting_type = continent_code |
| targeting_country_code_key[index] | اختياري نص | متوفر عند: targeting_type = country_code |
| targeting_country_code_value[index] | اختياري نص | متوفر عند: targeting_type = country_code |
| targeting_city_name_key[index] | اختياري نص | متوفر عند: targeting_type = city_name |
| targeting_city_name_value[index] | اختياري نص | متوفر عند: targeting_type = city_name |
| targeting_device_type_key[index] | اختياري نص | متوفر عند: targeting_type = device_type |
| targeting_device_type_value[index] | اختياري نص | متوفر عند: targeting_type = device_type |
| targeting_browser_language_key[index] | اختياري نص | متوفر عند: targeting_type = browser_language |
| targeting_browser_language_value[index] | اختياري نص | متوفر عند: targeting_type = browser_language |
| targeting_rotation_key[index] | اختياري نص | متوفر عند: targeting_type = rotation |
| targeting_rotation_value[index] | اختياري نص | متوفر عند: targeting_type = rotation |
| targeting_os_name_key[index] | اختياري نص | متوفر عند: targeting_type = os_name |
| targeting_os_name_value[index] | اختياري نص | متوفر عند: targeting_type = os_name |
| targeting_browser_name_key[index] | اختياري نص | متوفر عند: targeting_type = browser_name |
| targeting_browser_name_value[index] | اختياري نص | متوفر عند: targeting_type = browser_name |
curl --request POST \
--url 'https://vc.tapit.net.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://vc.tapit.net.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://vc.tapit.net.tr/api/links/{link_id}
curl --request DELETE \
--url 'https://vc.tapit.net.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vc.tapit.net.tr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \